Subject: Re: bug#46861: `guix deploy` permission denied error

From: Ludovic Courtès <[email-masked]>
Date: Tue, 02 Mar 2021 13:44:46 +0100

Hi,

pkill9 <[email-masked]> skribis:

> When I run Guix deploy, I get this error:
> ```
> guix deploy: error: open-file: Permission denied:
> "/home/itsme/.cache/guix/checkouts/last-expiry-cleanup"
> ```
>
> I've tried deleting ~/.cache/guix, and creating a chmod 777'd
> ~/.cache/guix directory, but I still get that error.

Can you show the ownership of ~itsme/.cache/guix/checkouts and
~itsme/.cache/guix/checkouts/last-expiry-cleanup?

It’s likely been caused by “sudo guix pull”, which changed the ownership
to root.  There’s no reason to run ‘guix deploy’ as root.

TIA,
Ludo’.